Common
Delete a user contact
Deletes a user contact owned by the calling user. Returns success even if no matching contact existed.
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Path Parameters
userContactId*string
GUID of the user contact. A non-GUID value returns a 400 using the standard error envelope.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/common/user/contact/497f6eca-6276-4993-bfeb-53cbbbba6f08/delete"{ "result": { "data": { "userContact": { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "message": "User contact successfully deleted." } }, "statusCode": 200, "message": "OK" }, "origin": "DELETE https://api.doctavian.com/v1/common/user/contact/{userContactId}/delete", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "46b200defd89efc25b5e028ccfb3e2e1", "userId": "d6c91274-2162-4dc5-becb-da282a306771"}{ "error": { "innerErrors": [ { "code": "VALIDATION_ERROR", "message": "userContactId must be a GUID.", "userMessage": "userContactId must be a GUID." } ], "message": "One or more validation errors occurred.", "statusCode": 400 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "9bdf99b22d7863d18d86170c8cb04483", "origin": "DELETE https://api.doctavian.com/v1/common/user/contact/{userContactId}/delete", "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}{ "error": { "innerErrors": [ { "code": "VALIDATION_ERROR", "message": "Name is required.", "userMessage": "Name is required." } ], "message": "One or more validation errors occurred.", "statusCode": 401 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "b7fa3550937612031d7b0bb955d6b1da", "origin": "DELETE https://api.doctavian.com/v1/common/user/contact/{userContactId}/delete", "userId": "daa10ea6-4d0c-465f-b70e-344d7868df1d"}{ "error": { "innerErrors": [ { "code": "VALIDATION_ERROR", "message": "Name is required.", "userMessage": "Name is required." } ], "message": "One or more validation errors occurred.", "statusCode": 403 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "07ebaf7884f7de5aaaa13126bed4f54a", "origin": "DELETE https://api.doctavian.com/v1/common/user/contact/{userContactId}/delete", "userId": "e085ad3d-1501-4df8-bcfb-a0aa203b7f4b"}{ "error": { "innerErrors": [ { "code": "FUNCTION_EXECUTION_ERROR", "message": "An unexpected error occurred while processing the request.", "userMessage": "Something went wrong. Please contact support." } ], "message": "An unexpected error occurred while processing the request.", "statusCode": 500 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "02104200c886a9f5433a84b3fc51616a", "origin": "DELETE https://api.doctavian.com/v1/common/user/contact/{userContactId}/delete", "userId": "3358252b-eb4c-4ddf-8126-457479e5cfe4"}